# oxbow <a href="https://github.com/abdenlab/oxbow"><img align="right" src="./assets/logo.svg" height="38"></img></a>

Read specialized bioinformatic file formats as data frames in R, Python, and more.

File formats create a lot of friction for computational biologists.
Oxbow is a data unification layer that aims to improve data accessibility and
ease of high-performance analytics.

Data I/O is handled in Rust with features exposed to Python and R via Apache Arrow.

Learn more in our recent [blog post](https://open.substack.com/pub/lifeinbytes/p/breaking-out-of-bioinformatic-data-silos?r=jue12&utm_campaign=post&utm_medium=web).

## Docs

Read the latest [Python](https://abdenlab.org/oxbow/) and [Rust](https://docs.rs/oxbow/latest/oxbow/) API documentation.

## Contributing

Want to contribute? [Join us](https://oxbow.zulipchat.com)!

## Development

The **oxbow** project is split into separate [Rust](./oxbow), [Python](./py-oxbow), and [R](./r-oxbow) packages.
You can download sample data by [following these instructions](./data/README.md).
